nxt

## Class TransactionType.ColoredCoins

- java.lang.Object
- - nxt.TransactionType
  - - nxt.TransactionType.ColoredCoins

- Enclosing class:
    TransactionType

      public abstract static class TransactionType.ColoredCoins
      extends TransactionType

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.TransactionType

      `TransactionType.AccountControl, TransactionType.ColoredCoins, TransactionType.Data, TransactionType.DigitalGoods, TransactionType.Messaging, TransactionType.Payment`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TransactionType` | `ASK_ORDER_CANCELLATION`
    `static TransactionType` | `ASK_ORDER_PLACEMENT`
    `static TransactionType` | `ASSET_DELETE`
    `static TransactionType` | `ASSET_INCREASE`
    `static TransactionType` | `ASSET_ISSUANCE`
    `static TransactionType` | `ASSET_PROPERTY_DELETE`
    `static TransactionType` | `ASSET_PROPERTY_SET`
    `static TransactionType` | `ASSET_TRANSFER`
    `static TransactionType` | `BID_ORDER_CANCELLATION`
    `static TransactionType` | `BID_ORDER_PLACEMENT`
    `static TransactionType` | `DIVIDEND_PAYMENT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getType()`

    - ### Methods inherited from class nxt.TransactionType

      `canHaveRecipient, findTransactionType, getLedgerEvent, getName, getSubtype, isPhasable, isPhasingSafe, mustHaveRecipient, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ASSET_ISSUANCE

          public static final TransactionType ASSET_ISSUANCE

    - #### ASSET_TRANSFER

          public static final TransactionType ASSET_TRANSFER

    - #### ASSET_DELETE

          public static final TransactionType ASSET_DELETE

    - #### ASSET_INCREASE

          public static final TransactionType ASSET_INCREASE

    - #### ASK_ORDER_PLACEMENT

          public static final TransactionType ASK_ORDER_PLACEMENT

    - #### BID_ORDER_PLACEMENT

          public static final TransactionType BID_ORDER_PLACEMENT

    - #### ASK_ORDER_CANCELLATION

          public static final TransactionType ASK_ORDER_CANCELLATION

    - #### BID_ORDER_CANCELLATION

          public static final TransactionType BID_ORDER_CANCELLATION

    - #### DIVIDEND_PAYMENT

          public static final TransactionType DIVIDEND_PAYMENT

    - #### ASSET_PROPERTY_SET

          public static final TransactionType ASSET_PROPERTY_SET

    - #### ASSET_PROPERTY_DELETE

          public static final TransactionType ASSET_PROPERTY_DELETE

  - ### Method Detail

    - #### getType

          public final byte getType()

      Specified by:
        `getType` in class `TransactionType`